%define upstream_name    Class-Declare
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	Class-Declare module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Exception)
BuildArch:	noarch


%description
Class::Declare allows class authors to specify public, private and
protected attributes and methods for their classes, giving them control
over how their modules may be accessed. The standard object oriented
programming concepts of *public*, *private* and *protected* have been
implemented for both class and instance (or object) attributes and
methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Class/Declare.pm
%{perl_vendorlib}/Class/Declare
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.200.0-4.mga9
+ Revision: 1808565
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-3.mga8
+ Revision: 1503571
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-2.mga7
+ Revision: 1282257
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 0.200.0-1.mga7
+ Revision: 1132395
- update to 0.20

* Sat Jun 18 2016 pterjan <pterjan> 0.190.0-3.mga6
+ Revision: 1023959
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.190.0-2.mga6
+ Revision: 971306
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 891248
- update to 0.19

* Wed Aug 05 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 861291
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-5.mga5
+ Revision: 741870
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 683907
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 510167
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 364344
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 25902
- mageia rebuild
- imported package perl-Class-Declare


* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2011.0
+ Revision: 572182
- update to 0.17
- bump mkrel
- update to 0.13

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 403011
- rebuild using %%perl_convert_version

* Tue Jul 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.0
+ Revision: 232708
- update to new version 0.12

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.08-1mdv2008.1
+ Revision: 136683
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.0
+ Revision: 46614
- update to new version 0.08


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdk
- initial Mandriva package

